Subject: bug#14966: 24.3.50; Char-displayable-p is a very long running function

From: Eli Zaretskii <[email-masked]>
Date: Sat, 27 Jul 2013 13:49:08 +0300

> From: "Sebastien Vauban" <[email-masked]>
> Date: Sat, 27 Jul 2013 11:47:30 +0200
> 
> When looking at the performance of my .emacs at startup time, I've noticed
> that (char-displayable-p) takes around 400 ms (!) to execute itself...

It calls the font driver to actually encode the character.  That could
look up several fonts.  FWIW, I see 219 ms on my i7 Windows desktop.

Unless char-displayable-p is called in an inner loop (is it?), this
shouldn't really matter, should it?